## org.jibx.runtime.impl
Class BackFillArray

    java.lang.Object
      org.jibx.runtime.impl.BackFillArray

All Implemented Interfaces:
  BackFillReference

    public class BackFillArray

extends java.lang.Object
implements BackFillReference

Backfill reference item, used for filling in forward references as members of arrays. Each item holds both the array containing the reference and the offset in the array.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Constructor Summary
`BackFillArray(int index, java.lang.Object[] array)` Constructor.

Method Summary
`void` `backfill(java.lang.Object obj)` Define referenced object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackFillArray

    public BackFillArray(int index,
                         java.lang.Object[] array)

  Constructor. Saves the information for filling the reference once the associated object is defined.

  Parameters:
    `index` - reference offset within array
    `array` - array containing the reference

Method Detail

### backfill

    public void backfill(java.lang.Object obj)

  Define referenced object. This method is called by the framework when the forward-referenced item is defined.

  Specified by:
    `backfill` in interface `BackFillReference`
  Parameters:
    `obj` - referenced object

Project Web Site |